<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>CANFD Driver External Data Structures</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#enum-members">Enumerations</a>  </div>
  <div class="headertitle">
<div class="title">CANFD Driver External Data Structures<div class="ingroups"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r.html">CANFD Driver</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>The section has a list of all the data structures which are exposed to the application.  
<a href="#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_a_n_f_d___m_c_a_n_loopback_cfg_params__t.html">CANFD_MCANLoopbackCfgParams_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data structure defines the MCAN Loopback parameters.  <a href="struct_c_a_n_f_d___m_c_a_n_loopback_cfg_params__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_a_n_f_d___m_c_a_n_bit_timing_params__t.html">CANFD_MCANBitTimingParams_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data structure defines the parameters for bit timing calculation. Bit timing related to data phase will be valid only in case where MCAN is put in CANFD mode and will be '0' otherwise.  <a href="struct_c_a_n_f_d___m_c_a_n_bit_timing_params__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_a_n_f_d___m_c_a_n_tdc_config__t.html">CANFD_MCANTdcConfig_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data structure defines the MCAN Transmitter Delay Compensation parameters.  <a href="struct_c_a_n_f_d___m_c_a_n_tdc_config__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_a_n_f_d___m_c_a_n_global_filt_config__t.html">CANFD_MCANGlobalFiltConfig_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data structure defines the MCAN Global Filter Configuration parameters.  <a href="struct_c_a_n_f_d___m_c_a_n_global_filt_config__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_a_n_f_d___m_c_a_n_msg_r_a_m_cfg_params__t.html">CANFD_MCANMsgRAMCfgParams_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data structure defines the MCAN Message RAM Configuration Parameters. Message RAM can contain following sections: Standard ID filters, Extended ID filters, TX FIFO(or TX Q), TX Buffers, TX EventFIFO, RX FIFO0, RX FIFO1, RX Buffer. Note: If particular section in the RAM is not used then it's size should be initialized to '0' (Number of buffers in case of Tx/Rx buffer).  <a href="struct_c_a_n_f_d___m_c_a_n_msg_r_a_m_cfg_params__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_a_n_f_d___m_c_a_n_e_c_c_config_params__t.html">CANFD_MCANECCConfigParams_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data structure defines the MCAN ECC configuration parameters.  <a href="struct_c_a_n_f_d___m_c_a_n_e_c_c_config_params__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_a_n_f_d___m_c_a_n_err_cnt_status__t.html">CANFD_MCANErrCntStatus_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data structure defines the MCAN error logging counters status.  <a href="struct_c_a_n_f_d___m_c_a_n_err_cnt_status__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_a_n_f_d___m_c_a_n_protocol_status__t.html">CANFD_MCANProtocolStatus_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data structure defines the MCAN protocol status.  <a href="struct_c_a_n_f_d___m_c_a_n_protocol_status__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_a_n_f_d___m_c_a_n_e_c_c_err_force_params__t.html">CANFD_MCANECCErrForceParams_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data structure defines the ECC Error forcing.  <a href="struct_c_a_n_f_d___m_c_a_n_e_c_c_err_force_params__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_a_n_f_d___m_c_a_n_e_c_c_err_status__t.html">CANFD_MCANECCErrStatus_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data structure defines the ECC Error Status.  <a href="struct_c_a_n_f_d___m_c_a_n_e_c_c_err_status__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_a_n_f_d___err_status_resp__t.html">CANFD_ErrStatusResp_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Response structure definition for Error and status information.  <a href="struct_c_a_n_f_d___err_status_resp__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_a_n_f_d___m_c_a_n_init_params__t.html">CANFD_MCANInitParams_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data structure defines the MCAN initialization parameters.  <a href="struct_c_a_n_f_d___m_c_a_n_init_params__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_a_n___m_c_a_n_msg_obj_cfg_params__t.html">CAN_MCANMsgObjCfgParams_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parameters used to configure the receive and transmit message objects.  <a href="struct_c_a_n___m_c_a_n_msg_obj_cfg_params__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_a_n_f_d___m_c_a_n_msg_object_stats__t.html">CANFD_MCANMsgObjectStats_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data structure defines the software maintained message object statistics.  <a href="struct_c_a_n_f_d___m_c_a_n_msg_object_stats__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_a_n_f_d___option_t_l_v__t.html">CANFD_OptionTLV_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Options TLV data structure.  <a href="struct_c_a_n_f_d___option_t_l_v__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:ga5565a54609363786bd3155a0695dd1b4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga5565a54609363786bd3155a0695dd1b4"></a>
typedef void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga5565a54609363786bd3155a0695dd1b4">CANFD_Handle</a></td></tr>
<tr class="memdesc:ga5565a54609363786bd3155a0695dd1b4"><td class="mdescLeft">&#160;</td><td class="mdescRight">CANFD module handle returned by the <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga095573d0bf132b6e5b09761c510c9b82">CANFD_init()</a> API call. <br /></td></tr>
<tr class="separator:ga5565a54609363786bd3155a0695dd1b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3a696020aab1c0c59992297fc62cca02"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga3a696020aab1c0c59992297fc62cca02"></a>
typedef void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga3a696020aab1c0c59992297fc62cca02">CANFD_MsgObjHandle</a></td></tr>
<tr class="memdesc:ga3a696020aab1c0c59992297fc62cca02"><td class="mdescLeft">&#160;</td><td class="mdescRight">CANFD message object handle returned by the <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga33cd186b8278b844dce2d9ea6e7c033b">CANFD_createMsgObject()</a> API call. <br /></td></tr>
<tr class="separator:ga3a696020aab1c0c59992297fc62cca02"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0ef1df08111114d5b7f969c05ad1dd60"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga0ef1df08111114d5b7f969c05ad1dd60"></a>
typedef enum <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabce6ab26e3c679e914a28485c6189bbc">CANFD_MCANOperationMode_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga0ef1df08111114d5b7f969c05ad1dd60">CANFD_MCANOperationMode</a></td></tr>
<tr class="memdesc:ga0ef1df08111114d5b7f969c05ad1dd60"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enumerates the values used to represent the MCAN mode of operation. <br /></td></tr>
<tr class="separator:ga0ef1df08111114d5b7f969c05ad1dd60"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga59a9e9fc1ed08ad557fd47722dc85973"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga59a9e9fc1ed08ad557fd47722dc85973"></a>
typedef enum <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gad3833a0bd48ec2f7cf839cb9ad27d521">CANFD_Direction_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga59a9e9fc1ed08ad557fd47722dc85973">CANFD_Direction</a></td></tr>
<tr class="memdesc:ga59a9e9fc1ed08ad557fd47722dc85973"><td class="mdescLeft">&#160;</td><td class="mdescRight">This enumeration defines the values used to set the direction of message object. <br /></td></tr>
<tr class="separator:ga59a9e9fc1ed08ad557fd47722dc85973"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga38323de53e1d81f7ceb9ce2da201f107"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga38323de53e1d81f7ceb9ce2da201f107"></a>
typedef enum <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga191bd1e865d55a16d2f4282c4e2f477f">CANFD_MCANXidType_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga38323de53e1d81f7ceb9ce2da201f107">CANFD_MCANXidType</a></td></tr>
<tr class="memdesc:ga38323de53e1d81f7ceb9ce2da201f107"><td class="mdescLeft">&#160;</td><td class="mdescRight">This enumeration defines the values used to represent the CAN Identifier Type. <br /></td></tr>
<tr class="separator:ga38323de53e1d81f7ceb9ce2da201f107"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3a3ef74642fa1c9f36a6e43ee46b7bf9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga3a3ef74642fa1c9f36a6e43ee46b7bf9"></a>
typedef enum <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga01254c3f165bee0a15166e682f844678">CANFD_MCANFrameType_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga3a3ef74642fa1c9f36a6e43ee46b7bf9">CANFD_MCANFrameType</a></td></tr>
<tr class="memdesc:ga3a3ef74642fa1c9f36a6e43ee46b7bf9"><td class="mdescLeft">&#160;</td><td class="mdescRight">This enumeration defines the CAN frame type. <br /></td></tr>
<tr class="separator:ga3a3ef74642fa1c9f36a6e43ee46b7bf9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2b330f3ef465694ce2ac0898f3ff84f4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga2b330f3ef465694ce2ac0898f3ff84f4"></a>
typedef enum <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga703e1871b2a66e70ddd52c70cc4270b5">CANFD_MCANTimeOutSelect_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga2b330f3ef465694ce2ac0898f3ff84f4">CANFD_MCANTimeOutSelect</a></td></tr>
<tr class="memdesc:ga2b330f3ef465694ce2ac0898f3ff84f4"><td class="mdescLeft">&#160;</td><td class="mdescRight">This enumeration defines the MCAN timeout counter configuration. <br /></td></tr>
<tr class="separator:ga2b330f3ef465694ce2ac0898f3ff84f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaee7e8a5333ee5977b86291eeed28517f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gaee7e8a5333ee5977b86291eeed28517f"></a>
typedef enum <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8abbcea248a92cb587cbed7390b2ba3d">CANFD_MCANECCErrType_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaee7e8a5333ee5977b86291eeed28517f">CANFD_MCANECCErrType</a></td></tr>
<tr class="memdesc:gaee7e8a5333ee5977b86291eeed28517f"><td class="mdescLeft">&#160;</td><td class="mdescRight">This enumeration defines the MCAN ECC Error Types. <br /></td></tr>
<tr class="separator:gaee7e8a5333ee5977b86291eeed28517f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2c9146c18702b686eb446cebe7f4575e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga2c9146c18702b686eb446cebe7f4575e"></a>
typedef enum <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga7dc07b81ae9845a8b3002992017c3aaf">CANFD_MCANLoopBackMode_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga2c9146c18702b686eb446cebe7f4575e">CANFD_MCANLoopBackMode</a></td></tr>
<tr class="memdesc:ga2c9146c18702b686eb446cebe7f4575e"><td class="mdescLeft">&#160;</td><td class="mdescRight">This enumeration defines the MCAN Loopback mode. <br /></td></tr>
<tr class="separator:ga2c9146c18702b686eb446cebe7f4575e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga72c72a43e5a541fea83de049fd13135c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga72c72a43e5a541fea83de049fd13135c"></a>
typedef enum <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaa3855863f4223c1ef6bb8418039ba33b">CANFD_MCANCommState_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga72c72a43e5a541fea83de049fd13135c">CANFD_MCANCommState</a></td></tr>
<tr class="memdesc:ga72c72a43e5a541fea83de049fd13135c"><td class="mdescLeft">&#160;</td><td class="mdescRight">This enumeration defines the MCAN's communication state. <br /></td></tr>
<tr class="separator:ga72c72a43e5a541fea83de049fd13135c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6524915b89443f21b687f5344f40e25a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga6524915b89443f21b687f5344f40e25a"></a>
typedef enum <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaec84419a4a529d253ee278debfa6cfb2">CANFD_MCANErrCode_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga6524915b89443f21b687f5344f40e25a">CANFD_MCANErrCode</a></td></tr>
<tr class="memdesc:ga6524915b89443f21b687f5344f40e25a"><td class="mdescLeft">&#160;</td><td class="mdescRight">This enumeration defines the MCAN's Error Code. <br /></td></tr>
<tr class="separator:ga6524915b89443f21b687f5344f40e25a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab6ef0b1b4ce31324d0d1ffd5bf006901"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gab6ef0b1b4ce31324d0d1ffd5bf006901"></a>
typedef enum <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf48fba0b12a05bf6347bc6dfc0090f1f">CANFD_Reason_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gab6ef0b1b4ce31324d0d1ffd5bf006901">CANFD_Reason</a></td></tr>
<tr class="memdesc:gab6ef0b1b4ce31324d0d1ffd5bf006901"><td class="mdescLeft">&#160;</td><td class="mdescRight">This enumeration describes a list of all the reasons for which the driver will invoke application callback functions. <br /></td></tr>
<tr class="separator:gab6ef0b1b4ce31324d0d1ffd5bf006901"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacece8ed652a840d768fc08e9219b56ff"><td class="memItemLeft" align="right" valign="top">typedef enum <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga2567cda8f64a3ebc32aac86a439634cb">CAN_Option_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gacece8ed652a840d768fc08e9219b56ff">CANFD_Option</a></td></tr>
<tr class="memdesc:gacece8ed652a840d768fc08e9219b56ff"><td class="mdescLeft">&#160;</td><td class="mdescRight">This enumeration defines the values used to represent the GET/SET options.  <a href="#gacece8ed652a840d768fc08e9219b56ff">More...</a><br /></td></tr>
<tr class="separator:gacece8ed652a840d768fc08e9219b56ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga478d3c887498a67eaf12d4bf8d284270"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga478d3c887498a67eaf12d4bf8d284270"></a>
typedef struct <a class="el" href="struct_c_a_n_f_d___m_c_a_n_loopback_cfg_params__t.html">CANFD_MCANLoopbackCfgParams_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga478d3c887498a67eaf12d4bf8d284270">CANFD_MCANLoopbackCfgParams</a></td></tr>
<tr class="memdesc:ga478d3c887498a67eaf12d4bf8d284270"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data structure defines the MCAN Loopback parameters. <br /></td></tr>
<tr class="separator:ga478d3c887498a67eaf12d4bf8d284270"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga418dc3ab920d1141e07d3048c5dd5aef"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga418dc3ab920d1141e07d3048c5dd5aef"></a>
typedef struct <a class="el" href="struct_c_a_n_f_d___m_c_a_n_bit_timing_params__t.html">CANFD_MCANBitTimingParams_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga418dc3ab920d1141e07d3048c5dd5aef">CANFD_MCANBitTimingParams</a></td></tr>
<tr class="memdesc:ga418dc3ab920d1141e07d3048c5dd5aef"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data structure defines the parameters for bit timing calculation. Bit timing related to data phase will be valid only in case where MCAN is put in CANFD mode and will be '0' otherwise. <br /></td></tr>
<tr class="separator:ga418dc3ab920d1141e07d3048c5dd5aef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae2be1a226d08c4b3af6dadc6dffcd1bf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gae2be1a226d08c4b3af6dadc6dffcd1bf"></a>
typedef struct <a class="el" href="struct_c_a_n_f_d___m_c_a_n_tdc_config__t.html">CANFD_MCANTdcConfig_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gae2be1a226d08c4b3af6dadc6dffcd1bf">CANFD_MCANTdcConfig</a></td></tr>
<tr class="memdesc:gae2be1a226d08c4b3af6dadc6dffcd1bf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data structure defines the MCAN Transmitter Delay Compensation parameters. <br /></td></tr>
<tr class="separator:gae2be1a226d08c4b3af6dadc6dffcd1bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaba64e641570c04126780605d1858da15"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gaba64e641570c04126780605d1858da15"></a>
typedef struct <a class="el" href="struct_c_a_n_f_d___m_c_a_n_global_filt_config__t.html">CANFD_MCANGlobalFiltConfig_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaba64e641570c04126780605d1858da15">CANFD_MCANGlobalFiltConfig</a></td></tr>
<tr class="memdesc:gaba64e641570c04126780605d1858da15"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data structure defines the MCAN Global Filter Configuration parameters. <br /></td></tr>
<tr class="separator:gaba64e641570c04126780605d1858da15"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad5d2ba68eabf99b314fd577a795b5fe7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gad5d2ba68eabf99b314fd577a795b5fe7"></a>
typedef struct <a class="el" href="struct_c_a_n_f_d___m_c_a_n_msg_r_a_m_cfg_params__t.html">CANFD_MCANMsgRAMCfgParams_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gad5d2ba68eabf99b314fd577a795b5fe7">CANFD_MCANMsgRAMCfgParams</a></td></tr>
<tr class="memdesc:gad5d2ba68eabf99b314fd577a795b5fe7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data structure defines the MCAN Message RAM Configuration Parameters. Message RAM can contain following sections: Standard ID filters, Extended ID filters, TX FIFO(or TX Q), TX Buffers, TX EventFIFO, RX FIFO0, RX FIFO1, RX Buffer. Note: If particular section in the RAM is not used then it's size should be initialized to '0' (Number of buffers in case of Tx/Rx buffer). <br /></td></tr>
<tr class="separator:gad5d2ba68eabf99b314fd577a795b5fe7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab00aadcc5257b6f5f5378d3c84e02094"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gab00aadcc5257b6f5f5378d3c84e02094"></a>
typedef struct <a class="el" href="struct_c_a_n_f_d___m_c_a_n_e_c_c_config_params__t.html">CANFD_MCANECCConfigParams_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gab00aadcc5257b6f5f5378d3c84e02094">CANFD_MCANECCConfigParams</a></td></tr>
<tr class="memdesc:gab00aadcc5257b6f5f5378d3c84e02094"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data structure defines the MCAN ECC configuration parameters. <br /></td></tr>
<tr class="separator:gab00aadcc5257b6f5f5378d3c84e02094"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafb9b0209b7a40a3374ea0af1e9fa1d43"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gafb9b0209b7a40a3374ea0af1e9fa1d43"></a>
typedef struct <a class="el" href="struct_c_a_n_f_d___m_c_a_n_err_cnt_status__t.html">CANFD_MCANErrCntStatus_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gafb9b0209b7a40a3374ea0af1e9fa1d43">CANFD_MCANErrCntStatus</a></td></tr>
<tr class="memdesc:gafb9b0209b7a40a3374ea0af1e9fa1d43"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data structure defines the MCAN error logging counters status. <br /></td></tr>
<tr class="separator:gafb9b0209b7a40a3374ea0af1e9fa1d43"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab46bb8741d10ea614e5bb2a50cfbd542"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gab46bb8741d10ea614e5bb2a50cfbd542"></a>
typedef struct <a class="el" href="struct_c_a_n_f_d___m_c_a_n_protocol_status__t.html">CANFD_MCANProtocolStatus_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gab46bb8741d10ea614e5bb2a50cfbd542">CANFD_MCANProtocolStatus</a></td></tr>
<tr class="memdesc:gab46bb8741d10ea614e5bb2a50cfbd542"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data structure defines the MCAN protocol status. <br /></td></tr>
<tr class="separator:gab46bb8741d10ea614e5bb2a50cfbd542"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga522174bca06346ead9a0ad266a3f7565"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga522174bca06346ead9a0ad266a3f7565"></a>
typedef struct <a class="el" href="struct_c_a_n_f_d___m_c_a_n_e_c_c_err_force_params__t.html">CANFD_MCANECCErrForceParams_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga522174bca06346ead9a0ad266a3f7565">CANFD_MCANECCErrForceParams</a></td></tr>
<tr class="memdesc:ga522174bca06346ead9a0ad266a3f7565"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data structure defines the ECC Error forcing. <br /></td></tr>
<tr class="separator:ga522174bca06346ead9a0ad266a3f7565"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6acacdf7164b5f9b53097cf4e76baea6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga6acacdf7164b5f9b53097cf4e76baea6"></a>
typedef struct <a class="el" href="struct_c_a_n_f_d___m_c_a_n_e_c_c_err_status__t.html">CANFD_MCANECCErrStatus_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga6acacdf7164b5f9b53097cf4e76baea6">CANFD_MCANECCErrStatus</a></td></tr>
<tr class="memdesc:ga6acacdf7164b5f9b53097cf4e76baea6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data structure defines the ECC Error Status. <br /></td></tr>
<tr class="separator:ga6acacdf7164b5f9b53097cf4e76baea6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1f37a919f9721749e9622fb74d980d32"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga1f37a919f9721749e9622fb74d980d32"></a>
typedef struct <a class="el" href="struct_c_a_n_f_d___err_status_resp__t.html">CANFD_ErrStatusResp_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga1f37a919f9721749e9622fb74d980d32">CANFD_ErrStatusResp</a></td></tr>
<tr class="memdesc:ga1f37a919f9721749e9622fb74d980d32"><td class="mdescLeft">&#160;</td><td class="mdescRight">Response structure definition for Error and status information. <br /></td></tr>
<tr class="separator:ga1f37a919f9721749e9622fb74d980d32"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad81deb9ae020b101c9391b675e09cb5c"><td class="memItemLeft" align="right" valign="top">typedef void(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gad81deb9ae020b101c9391b675e09cb5c">CANFD_DataAppCallBack</a>) (<a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga3a696020aab1c0c59992297fc62cca02">CANFD_MsgObjHandle</a> handle, <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gab6ef0b1b4ce31324d0d1ffd5bf006901">CANFD_Reason</a> reason)</td></tr>
<tr class="memdesc:gad81deb9ae020b101c9391b675e09cb5c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Application specified callback function which is invoked by the CANFD driver once transmit is complete or data has been received for the specified message object.  <a href="#gad81deb9ae020b101c9391b675e09cb5c">More...</a><br /></td></tr>
<tr class="separator:gad81deb9ae020b101c9391b675e09cb5c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa053469ab06533d1fb18387a8cf53652"><td class="memItemLeft" align="right" valign="top">typedef void(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaa053469ab06533d1fb18387a8cf53652">CANFD_ErrStatusAppCallBack</a>) (<a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga5565a54609363786bd3155a0695dd1b4">CANFD_Handle</a> handle, <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gab6ef0b1b4ce31324d0d1ffd5bf006901">CANFD_Reason</a> reason, <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga1f37a919f9721749e9622fb74d980d32">CANFD_ErrStatusResp</a> *errStatusResp)</td></tr>
<tr class="memdesc:gaa053469ab06533d1fb18387a8cf53652"><td class="mdescLeft">&#160;</td><td class="mdescRight">Application specified callback function which is invoked by the CANFD driver on error or status change.  <a href="#gaa053469ab06533d1fb18387a8cf53652">More...</a><br /></td></tr>
<tr class="separator:gaa053469ab06533d1fb18387a8cf53652"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga086c0557a3517b9a46e30123c24538bf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga086c0557a3517b9a46e30123c24538bf"></a>
typedef struct <a class="el" href="struct_c_a_n_f_d___m_c_a_n_init_params__t.html">CANFD_MCANInitParams_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga086c0557a3517b9a46e30123c24538bf">CANFD_MCANInitParams</a></td></tr>
<tr class="memdesc:ga086c0557a3517b9a46e30123c24538bf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data structure defines the MCAN initialization parameters. <br /></td></tr>
<tr class="separator:ga086c0557a3517b9a46e30123c24538bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga715a58b8cf5a117bc344f823c0e780c0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga715a58b8cf5a117bc344f823c0e780c0"></a>
typedef struct <a class="el" href="struct_c_a_n___m_c_a_n_msg_obj_cfg_params__t.html">CAN_MCANMsgObjCfgParams_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga715a58b8cf5a117bc344f823c0e780c0">CANFD_MCANMsgObjCfgParams</a></td></tr>
<tr class="memdesc:ga715a58b8cf5a117bc344f823c0e780c0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parameters used to configure the receive and transmit message objects. <br /></td></tr>
<tr class="separator:ga715a58b8cf5a117bc344f823c0e780c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaac7685250174013a9c7a66525e309e11"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gaac7685250174013a9c7a66525e309e11"></a>
typedef struct <a class="el" href="struct_c_a_n_f_d___m_c_a_n_msg_object_stats__t.html">CANFD_MCANMsgObjectStats_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaac7685250174013a9c7a66525e309e11">CANFD_MCANMsgObjectStats</a></td></tr>
<tr class="memdesc:gaac7685250174013a9c7a66525e309e11"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data structure defines the software maintained message object statistics. <br /></td></tr>
<tr class="separator:gaac7685250174013a9c7a66525e309e11"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga78875f79d93f7454b97964382c9783fd"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_c_a_n_f_d___option_t_l_v__t.html">CANFD_OptionTLV_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga78875f79d93f7454b97964382c9783fd">CANFD_OptionTLV</a></td></tr>
<tr class="memdesc:ga78875f79d93f7454b97964382c9783fd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Options TLV data structure.  <a href="#ga78875f79d93f7454b97964382c9783fd">More...</a><br /></td></tr>
<tr class="separator:ga78875f79d93f7454b97964382c9783fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<p>The section has a list of all the data structures which are exposed to the application. </p>
<h2 class="groupheader">Typedef Documentation</h2>
<a class="anchor" id="gad81deb9ae020b101c9391b675e09cb5c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef void(* CANFD_DataAppCallBack) (<a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga3a696020aab1c0c59992297fc62cca02">CANFD_MsgObjHandle</a> handle, <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gab6ef0b1b4ce31324d0d1ffd5bf006901">CANFD_Reason</a> reason)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Application specified callback function which is invoked by the CANFD driver once transmit is complete or data has been received for the specified message object. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">handle</td><td>Message object handle for which the callback function is invoked. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">reason</td><td>Cause of the interrupt which prompted the callback.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Not</td><td>applicable </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gaa053469ab06533d1fb18387a8cf53652"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef void(* CANFD_ErrStatusAppCallBack) (<a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga5565a54609363786bd3155a0695dd1b4">CANFD_Handle</a> handle, <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gab6ef0b1b4ce31324d0d1ffd5bf006901">CANFD_Reason</a> reason, <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga1f37a919f9721749e9622fb74d980d32">CANFD_ErrStatusResp</a> *errStatusResp)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Application specified callback function which is invoked by the CANFD driver on error or status change. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">handle</td><td>Handle to the CANFD Driver </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">reason</td><td>Cause of the interrupt which prompted the callback. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">errStatusResp</td><td>Response structure populated with the value of the fields that caused the error or status interrupt. Processing of this structure is dependent on the callback reason.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Not</td><td>applicable </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gacece8ed652a840d768fc08e9219b56ff"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef enum <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga2567cda8f64a3ebc32aac86a439634cb">CAN_Option_t</a>  <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gacece8ed652a840d768fc08e9219b56ff">CANFD_Option</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This enumeration defines the values used to represent the GET/SET options. </p>
<dl class="section see"><dt>See also</dt><dd>CAN_OptionTLV </dd></dl>

</div>
</div>
<a class="anchor" id="ga78875f79d93f7454b97964382c9783fd"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct <a class="el" href="struct_c_a_n_f_d___option_t_l_v__t.html">CANFD_OptionTLV_t</a> <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga78875f79d93f7454b97964382c9783fd">CANFD_OptionTLV</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Options TLV data structure. </p>
<p>Specifies the option type, length, value. </p>

</div>
</div>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a class="anchor" id="ga2567cda8f64a3ebc32aac86a439634cb"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga2567cda8f64a3ebc32aac86a439634cb">CAN_Option_t</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This enumeration defines the values used to represent the GET/SET options. </p>
<dl class="section see"><dt>See also</dt><dd>CAN_OptionTLV </dd></dl>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="gga2567cda8f64a3ebc32aac86a439634cbacbd03d9fe6edbe8d1f06df037ec71b7e"></a>CANFD_Option_MCAN_ERROR_COUNTER&#160;</td><td class="fielddoc">
<p>Used to get the MCAN Tx and Rx error counters </p><dl class="section see"><dt>See also</dt><dd><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga02619b56fc15a722f1fbf03b3df07245">CANFD_getOptions</a></dd></dl>
<p>NOTE: The length in the TLV should be sizeof(CANFD_MCANErrCntStatus) for this option. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="gga2567cda8f64a3ebc32aac86a439634cba677c901067b7813d6865b0702e90019f"></a>CANFD_Option_MCAN_PROTOCOL_STATUS&#160;</td><td class="fielddoc">
<p>Used to get the MCAN protocol status </p><dl class="section see"><dt>See also</dt><dd><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga02619b56fc15a722f1fbf03b3df07245">CANFD_getOptions</a></dd></dl>
<p>NOTE: The length in the TLV should be sizeof(CANFD_MCANProtocolStatus) for this option. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="gga2567cda8f64a3ebc32aac86a439634cba77bc88452d01c5b2841d2f9a9e66447e"></a>CANFD_Option_MCAN_MSG_OBJECT_STATS&#160;</td><td class="fielddoc">
<p>Used to get the MCAN message object software maintained statistics </p><dl class="section see"><dt>See also</dt><dd><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga02619b56fc15a722f1fbf03b3df07245">CANFD_getOptions</a></dd></dl>
<p>NOTE: The length in the TLV should be sizeof(CANFD_MCANMsgObjectStats) for this option. Application must fill in the message object handle for which the statistics is requested. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="gga2567cda8f64a3ebc32aac86a439634cba9a15a835fe26f0e45ac37aeeb666854e"></a>CANFD_Option_MCAN_MODE&#160;</td><td class="fielddoc">
<p>Used to put the MCAN module in init or operational state </p><dl class="section see"><dt>See also</dt><dd><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaae6e2aab6af4d186d7e94f5074d721dc">CANFD_setOptions</a></dd></dl>
<p>NOTE: The length in the TLV should be 1 byte for this option. Valid values: Refer to (CANFD_MCANOperationMode) </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="gga2567cda8f64a3ebc32aac86a439634cbada665a36fc03a29fdd57484c3b638810"></a>CANFD_Option_MCAN_LOOPBACK&#160;</td><td class="fielddoc">
<p>Used to enable or disable internal/external loopback mode </p><dl class="section see"><dt>See also</dt><dd><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaae6e2aab6af4d186d7e94f5074d721dc">CANFD_setOptions</a></dd></dl>
<p>NOTE: The length in the TLV should be sizeof(CANFD_MCANLoopbackCfgParams) for this option. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="gga2567cda8f64a3ebc32aac86a439634cba392f8b989291df3fd250dd404abee826"></a>CANFD_Option_MCAN_POWER_DOWN&#160;</td><td class="fielddoc">
<p>Used to request a local power down or wakeup from a local power down </p><dl class="section see"><dt>See also</dt><dd><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaae6e2aab6af4d186d7e94f5074d721dc">CANFD_setOptions</a></dd></dl>
<p>NOTE: The length in the TLV should be 1 byte for this option. Valid values are 1 - MCAN Sleep 0 - MCAN Wakeup </p>
</td></tr>
</table>

</div>
</div>
<a class="anchor" id="gad3833a0bd48ec2f7cf839cb9ad27d521"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gad3833a0bd48ec2f7cf839cb9ad27d521">CANFD_Direction_t</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This enumeration defines the values used to set the direction of message object. </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="ggad3833a0bd48ec2f7cf839cb9ad27d521a901ff71981836611cfd79d858cb1cc4a"></a>CANFD_Direction_RX&#160;</td><td class="fielddoc">
<p>Message object used to receive data </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ggad3833a0bd48ec2f7cf839cb9ad27d521adc98f3e04410364b3d9f9b887bd3a101"></a>CANFD_Direction_TX&#160;</td><td class="fielddoc">
<p>Message object used to transmit data </p>
</td></tr>
</table>

</div>
</div>
<a class="anchor" id="gaa3855863f4223c1ef6bb8418039ba33b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaa3855863f4223c1ef6bb8418039ba33b">CANFD_MCANCommState_t</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This enumeration defines the MCAN's communication state. </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="ggaa3855863f4223c1ef6bb8418039ba33ba1638d346d533411e71ad48cfbcb9960f"></a>CANFD_MCANCommState_SYNCHRONIZING&#160;</td><td class="fielddoc">
<p>MCAN is synchronizing on CANFD communication </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ggaa3855863f4223c1ef6bb8418039ba33badd7aea7c85774a3f61bd09ac654b791e"></a>CANFD_MCANCommState_IDLE&#160;</td><td class="fielddoc">
<p>MCAN is neither receiver nor transmitter </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ggaa3855863f4223c1ef6bb8418039ba33ba36cf2e98917f3ff1f19cb31f60dfdf14"></a>CANFD_MCANCommState_RECEIVER&#160;</td><td class="fielddoc">
<p>MCAN is operating as receiver </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ggaa3855863f4223c1ef6bb8418039ba33ba9a78cb9c5d7816269c2329ddf342b1c2"></a>CANFD_MCANCommState_TRANSMITTER&#160;</td><td class="fielddoc">
<p>MCAN is operating as transmitter </p>
</td></tr>
</table>

</div>
</div>
<a class="anchor" id="ga8abbcea248a92cb587cbed7390b2ba3d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8abbcea248a92cb587cbed7390b2ba3d">CANFD_MCANECCErrType_t</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This enumeration defines the MCAN ECC Error Types. </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="gga8abbcea248a92cb587cbed7390b2ba3da1e708e1652e90ac2d7a5491ee9e7e8a2"></a>CANFD_MCANECCErrType_SEC&#160;</td><td class="fielddoc">
<p>ECC Single Error Correction </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="gga8abbcea248a92cb587cbed7390b2ba3da21735d6ff954676e311043182b7824d1"></a>CANFD_MCANECCErrType_DED&#160;</td><td class="fielddoc">
<p>ECC Single Error Detection </p>
</td></tr>
</table>

</div>
</div>
<a class="anchor" id="gaec84419a4a529d253ee278debfa6cfb2"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaec84419a4a529d253ee278debfa6cfb2">CANFD_MCANErrCode_t</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This enumeration defines the MCAN's Error Code. </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="ggaec84419a4a529d253ee278debfa6cfb2ab580c2b7c2321ca566f217fbe64da16b"></a>CANFD_MCANErrCode_NO_ERROR&#160;</td><td class="fielddoc">
<p>No error occurred since LEC has been reset by successful reception or transmission. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ggaec84419a4a529d253ee278debfa6cfb2ace61a7fa704fbcefe5a20e0c5448445a"></a>CANFD_MCANErrCode_STUFF_ERROR&#160;</td><td class="fielddoc">
<p>More than 5 equal bits in a sequence have occurred in a part of a received message where this is not allowed. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ggaec84419a4a529d253ee278debfa6cfb2aa680cf86464355df49483081fd80a2a6"></a>CANFD_MCANErrCode_FORM_ERROR&#160;</td><td class="fielddoc">
<p>A fixed format part of a received frame has the wrong format. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ggaec84419a4a529d253ee278debfa6cfb2a5e8fab0574706d96f6c0328be1665276"></a>CANFD_MCANErrCode_ACK_ERROR&#160;</td><td class="fielddoc">
<p>The message transmitted by the MCAN was not acknowledged by another node. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ggaec84419a4a529d253ee278debfa6cfb2a8e47f940265f4164c92a4c9e9db455b1"></a>CANFD_MCANErrCode_BIT1_ERROR&#160;</td><td class="fielddoc">
<p>During the transmission of a message (with the exception of the arbitration field), the device wanted to send a recessive level (bit of logical value 1), but the monitored bus value was dominant. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ggaec84419a4a529d253ee278debfa6cfb2acbe914c5cbc92545d0d63c1f4acc1d63"></a>CANFD_MCANErrCode_BIT0_ERROR&#160;</td><td class="fielddoc">
<p>During the transmission of a message (or acknowledge bit, or active error flag, or overload flag), the device wanted to send a dominant level (data or identifier bit logical value 0), but the monitored bus value was recessive. During Bus_Off recovery this status is set each time a sequence of 11 recessive bits has been monitored. This enables the CPU to monitor the proceeding of the Bus_Off recovery sequence (indicating the bus is not stuck at dominant or continuously disturbed). </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ggaec84419a4a529d253ee278debfa6cfb2acc43120da366ccc7fa019658be916db7"></a>CANFD_MCANErrCode_CRC_ERROR&#160;</td><td class="fielddoc">
<p>The CRC check sum of a received message was incorrect. The CRC of an incoming message does not match with the CRC calculated from the received data. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ggaec84419a4a529d253ee278debfa6cfb2a771556774745898191793c7eb4acd38c"></a>CANFD_MCANErrCode_NO_CHANGE&#160;</td><td class="fielddoc">
<p>Any read access to the Protocol Status Register re-initializes the LEC to 7. When the LEC shows the value 7, no CANFD bus event was detected since the last CPU read access to the Protocol Status Register. </p>
</td></tr>
</table>

</div>
</div>
<a class="anchor" id="ga01254c3f165bee0a15166e682f844678"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga01254c3f165bee0a15166e682f844678">CANFD_MCANFrameType_t</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This enumeration defines the CAN frame type. </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="gga01254c3f165bee0a15166e682f844678a3c7f177d00e8d1bc69a5794bf956a720"></a>CANFD_MCANFrameType_CLASSIC&#160;</td><td class="fielddoc">
<p>Classic Frame </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="gga01254c3f165bee0a15166e682f844678af5a1ad342c6766bd1c4be7dc7f320b91"></a>CANFD_MCANFrameType_FD&#160;</td><td class="fielddoc">
<p>FD Frame </p>
</td></tr>
</table>

</div>
</div>
<a class="anchor" id="ga7dc07b81ae9845a8b3002992017c3aaf"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga7dc07b81ae9845a8b3002992017c3aaf">CANFD_MCANLoopBackMode_t</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This enumeration defines the MCAN Loopback mode. </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="gga7dc07b81ae9845a8b3002992017c3aafad0d7783ef11aa92a8638da10111714d1"></a>CANFD_MCANLoopBackMode_INTERNAL&#160;</td><td class="fielddoc">
<p>This mode can be used for hot self-test and this mode will not affect bus state. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="gga7dc07b81ae9845a8b3002992017c3aafab10165b8bd58867e1a029f05a0e7bff2"></a>CANFD_MCANLoopBackMode_EXTERNAL&#160;</td><td class="fielddoc">
<p>In this mode, MCAN the MCAN treats its own transmitted messages as received messages and stores them (if they pass acceptance filtering) into an Rx Buffer or an Rx FIFO. This mode will affect bus state. </p>
</td></tr>
</table>

</div>
</div>
<a class="anchor" id="gabce6ab26e3c679e914a28485c6189bbc"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabce6ab26e3c679e914a28485c6189bbc">CANFD_MCANOperationMode_t</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Enumerates the values used to represent the MCAN mode of operation. </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="ggabce6ab26e3c679e914a28485c6189bbca0bcbfc7b79dc404c5a96546f985c115d"></a>CANFD_MCANOperationMode_NORMAL&#160;</td><td class="fielddoc">
<p>MCAN normal mode </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ggabce6ab26e3c679e914a28485c6189bbca671f83b6a00a3c8427f7f18e9fbfcd7c"></a>CANFD_MCANOperationMode_SW_INIT&#160;</td><td class="fielddoc">
<p>MCAN SW initialization mode </p>
</td></tr>
</table>

</div>
</div>
<a class="anchor" id="ga703e1871b2a66e70ddd52c70cc4270b5"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga703e1871b2a66e70ddd52c70cc4270b5">CANFD_MCANTimeOutSelect_t</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This enumeration defines the MCAN timeout counter configuration. </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="gga703e1871b2a66e70ddd52c70cc4270b5a11b6464f8833a39a1fc70af92539ac5f"></a>CANFD_MCANTimeOutSelect_CONT&#160;</td><td class="fielddoc">
<p>Continuous operation Mode </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="gga703e1871b2a66e70ddd52c70cc4270b5a6f1bf225a90a1953bfbd369ca8f84b64"></a>CANFD_MCANTimeOutSelect_TX_EVENT_FIFO&#160;</td><td class="fielddoc">
<p>Timeout controlled by Tx Event FIFO </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="gga703e1871b2a66e70ddd52c70cc4270b5ad54fede2b57a18aea85e099382e2b94d"></a>CANFD_MCANTimeOutSelect_RX_FIFO0&#160;</td><td class="fielddoc">
<p>Timeout controlled by Rx FIFO 0 </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="gga703e1871b2a66e70ddd52c70cc4270b5ad377c28c1d1f92c3bb49b2e0e8554556"></a>CANFD_MCANTimeOutSelect_RX_FIFO1&#160;</td><td class="fielddoc">
<p>Timeout controlled by Rx FIFO 1 </p>
</td></tr>
</table>

</div>
</div>
<a class="anchor" id="ga191bd1e865d55a16d2f4282c4e2f477f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga191bd1e865d55a16d2f4282c4e2f477f">CANFD_MCANXidType_t</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This enumeration defines the values used to represent the CAN Identifier Type. </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="gga191bd1e865d55a16d2f4282c4e2f477faac9b6214a1f8a12c0ec892cc1a3a76d4"></a>CANFD_MCANXidType_11_BIT&#160;</td><td class="fielddoc">
<p>11bit MCAN Identifier </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="gga191bd1e865d55a16d2f4282c4e2f477fa5d5fb03278859bf8771d243aa3b62fab"></a>CANFD_MCANXidType_29_BIT&#160;</td><td class="fielddoc">
<p>29bit MCAN Identifier </p>
</td></tr>
</table>

</div>
</div>
<a class="anchor" id="gaf48fba0b12a05bf6347bc6dfc0090f1f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf48fba0b12a05bf6347bc6dfc0090f1f">CANFD_Reason_t</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This enumeration describes a list of all the reasons for which the driver will invoke application callback functions. </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="ggaf48fba0b12a05bf6347bc6dfc0090f1fa6322d6b8d865895eb66f7541419f55b1"></a>CANFD_Reason_RX&#160;</td><td class="fielddoc">
<p>Data has been received and the application is required to read and process the data. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ggaf48fba0b12a05bf6347bc6dfc0090f1fa0cae3aea946ec3c7d36964d6bb6e1949"></a>CANFD_Reason_TX_COMPLETION&#160;</td><td class="fielddoc">
<p>Data has been succesfully transmitted. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ggaf48fba0b12a05bf6347bc6dfc0090f1fa6603109c6fa9a5ca8135feb69644fe62"></a>CANFD_Reason_TX_CANCELED&#160;</td><td class="fielddoc">
<p>Data transmission is succesfully canceled. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ggaf48fba0b12a05bf6347bc6dfc0090f1fa6280492c93da154ab14a56e2e3b18582"></a>CANFD_Reason_ECC_ERROR&#160;</td><td class="fielddoc">
<p>Data has been succesfully transmitted. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ggaf48fba0b12a05bf6347bc6dfc0090f1fa7d5f8760216e87758755cb2eaddae8d1"></a>CANFD_Reason_BUSOFF&#160;</td><td class="fielddoc">
<p>Bus Off condition detected. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ggaf48fba0b12a05bf6347bc6dfc0090f1fa5c84da1888ac27d5df6a7b786da6c1a7"></a>CANFD_Reason_PROTOCOL_ERR_DATA_PHASE&#160;</td><td class="fielddoc">
<p>Protocol error in data phase detected. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ggaf48fba0b12a05bf6347bc6dfc0090f1fafd846f1f787e5db32e9c6ee08b573376"></a>CANFD_Reason_PROTOCOL_ERR_ARB_PHASE&#160;</td><td class="fielddoc">
<p>Protocol error in arbitration phase detected. </p>
</td></tr>
</table>

</div>
</div>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
